> For the complete documentation index, see [llms.txt](https://docs.release.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.release.com/reference-documentation/instant-dataset-tasks/tonic-cloud.md).

# Tonic Cloud

Use Instant Datasets with Tonic Cloud

## Requirements

1. A configured Tonic Cloud workspace.
   * [Managing a Tonic workspace](https://docs.tonic.ai/app/workspace/managing-workspaces)
2. A source database previously connected to the workspace at least once (to configure the job and for any data masking or SQL scripts).
   * [Database connectors](https://docs.tonic.ai/app/setting-up-your-database/database-connectors)
3. An API key and a workspace ID from Tonic for Release to use on your behalf.
   * [Generating an API key](https://docs.tonic.ai/app/api/tonic-api-get-token)
   * [Getting the workspace id](https://docs.tonic.ai/app/api/getting-the-workspace-id)
4. A snapshot from AWS of the source database to use in the initial set up of the Instant Dataset.
5. A VPC with at least one public subnet routed to an internet gateway (to allow connection from Tonic Cloud).

{% hint style="info" %}
We create a security group and a DB subnet group to attach to a staging database that is then allowlisted to the Tonic AI static IP addresses.
{% endhint %}

## Example configuration

```yaml
type: tonic-cloud
config:
    tonic_api_key_ref: $secrets.aws.tonic-cloud-api-key
    tonic_workspace_id: 12fdfa34-f56b-0baf-789b-de07b40564d2
    tonic_job_database_instance_class: db.t3.small
    vpc_id: 123
```

## Schema definition

### Root schema

```yaml
type:
    type: string
    required: true
    description: The database task to run (in this case 'tonic-cloud').
config:
    type: object
    required: true
    description: An object with keys that will be specific to the task type.
```

### Config object schema

```yaml
tonic_api_key_ref:
    type: string
    required: true
    description: Tonic API key or reference arn to the API key stored in AWS SSM.

tonic_workspace_id:
    type: string
    required: true
    description: The Tonic Cloud workspace to use for this dataset.

tonic_job_database_instance_class:
    type: string
    required: true
    description: The RDS instance-type for the src/dest databases used by the Tonic job.

vpc_id:
    type: string
    required: true
    description: The VPC where we create the security group and subnet group allowlisted to Tonic Cloud for database access. 
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.release.com/reference-documentation/instant-dataset-tasks/tonic-cloud.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
